package com.ss.android.ugc.aweme.net;

import X.AnonymousClass9EH;
import X.CwZ;
import X.LWx;
import X.Lnj;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.launcher.service.network.INetworkApi;
import com.ss.android.ugc.aweme.net.corenet.IESNetDepend;
import java.util.Map;

public final class NetworkApiImpl implements INetworkApi {
    static {
        Covode.recordClassIndex(94641);
    }

    public final String LIZ() {
        return IESNetDepend.LJII().LIZ(AnonymousClass9EH.LJJIFFI.LIZ(), "frontier_urls", "");
    }

    public final String LIZIZ() {
        return IESNetDepend.LJII().LIZ(AnonymousClass9EH.LJJIFFI.LIZ(), "boe_ws_host", "");
    }

    public static INetworkApi LIZJ() {
        MethodCollector.i(2807);
        INetworkApi iNetworkApi = (INetworkApi) Lnj.LIZ(INetworkApi.class, false);
        if (iNetworkApi != null) {
            MethodCollector.o(2807);
            return iNetworkApi;
        }
        Object LIZIZ = Lnj.LIZIZ(INetworkApi.class, false);
        if (LIZIZ != null) {
            INetworkApi iNetworkApi2 = (INetworkApi) LIZIZ;
            MethodCollector.o(2807);
            return iNetworkApi2;
        }
        if (Lnj.B == null) {
            synchronized (INetworkApi.class) {
                try {
                    if (Lnj.B == null) {
                        Lnj.B = new NetworkApiImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(2807);
                    throw th;
                }
            }
        }
        NetworkApiImpl networkApiImpl = (NetworkApiImpl) Lnj.B;
        MethodCollector.o(2807);
        return networkApiImpl;
    }

    public final void LIZ(String str) {
        M12.LIZ(str);
        IESNetDepend.LJII().LIZ(AnonymousClass9EH.LJJIFFI.LIZ(), (Map<String, ?>) LWx.LIZ(CwZ.LIZ("boe_ws_host", str)));
    }
}
